;  Tiny 2313
.INCLUDE "tn2313def.inc"	;    Tiny2313

.cseg	;  
.org 0	;     

	rjmp RESET ; Reset Handler

nop;0x0001 rjmp INT0 ; External Interrupt0 Handler
nop;0x0002 rjmp INT1 ; External Interrupt1 Handler
nop;0x0003 rjmp TIM1_CAPT ; Timer1 Capture Handler
nop;0x0004 rjmp TIM1_COMPA ; Timer1 CompareA Handler
nop;0x0005 rjmp TIM1_OVF ; Timer1 Overflow Handler
nop;0x0006 rjmp TIM0_OVF ; Timer0 Overflow Handler
nop;0x0007 rjmp USART0_RXC ; USART0 RX Complete Handler
nop;0x0008 rjmp USART0_DRE ; USART0,UDR Empty Handler
nop;0x0009 rjmp USART0_TXC ; USART0 TX Complete Handler
nop;0x000A rjmp ANA_COMP ; Analog Comparator Handler
nop;0x000B rjmp PCINT ; Pin Change Interrupt
nop;0x000C rjmp TIMER1_COMPB ; Timer1 Compare B Handler
nop;0x000D rjmp TIMER0_COMPA ; Timer0 Compare A Handler
nop;0x000E rjmp TIMER0_COMPB ; Timer0 Compare B Handler
nop;0x000F rjmp USI_START ; USI Start Handler
nop;0x0010 rjmp USI_OVERFLOW ; USI Overflow Handler
nop;0x0011 rjmp EE_READY ; EEPROM Ready Handler



RESET:
;  
	ldi r16, low(RAMEND); Main program start
	out  SPL,r16;Set Stack Pointer to top of RAM
;   
;	sei 		;  
;  
	ldi r16,$ff	;
	nop
	out ddrb,r16;
	out ddrd,r16;
;   -   
	clr r16
t1:
	inc r16
	out portb,r16
	;out portd,r16
	rjmp t1

